# StepAP214_AutoDesignReferencingItem.hxx File Reference

`#include <StepData_SelectType.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Handle_Standard_Transient.hxx>`
`#include <Handle_StepBasic_Approval.hxx>`
`#include <Handle_StepBasic_DocumentRelationship.hxx>`
`#include <Handle_StepRepr_ExternallyDefinedRepresentation.hxx>`
`#include <Handle_StepRepr_MappedItem.hxx>`
`#include <Handle_StepRepr_MaterialDesignation.hxx>`
`#include <Handle_StepVisual_PresentationArea.hxx>`
`#include <Handle_StepVisual_PresentationView.hxx>`
`#include <Handle_StepBasic_ProductCategory.hxx>`
`#include <Handle_StepBasic_ProductDefinition.hxx>`
`#include <Handle_StepBasic_ProductDefinitionRelationship.hxx>`
`#include <Handle_StepRepr_PropertyDefinition.hxx>`
`#include <Handle_StepRepr_Representation.hxx>`
`#include <Handle_StepRepr_RepresentationRelationship.hxx>`
`#include <Handle_StepRepr_ShapeAspect.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`